For the complete documentation index, see llms.txt. This page is also available as Markdown.

POST /orders/{reference}/refund

Process a refund for an order ---- [auth scope: api-user]

post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
orderReferencestringRequired

The unique order reference that was provided when creating the order. This is your merchant-specific identifier for the order. Use this reference to identify which order to perform operations on (e.g., capture, void, refund, get status).

Example: ORD-2024-001234
Body
refundReferencestringRequired

A unique reference identifier for this refund request. This must be unique per merchant.

Example: 12345001223
refundDescriptionstringRequired

A brief description or reason for the refund. This can be used to record why the refund was issued. This may be visible to the payment provider.

Example: Customer requested return due to defective product
isActivatedViaOAuthbooleanRequired

If the provider is activated by oAuth or apiKey/ password

Example: true
Responses
200Success
application/json
refundReferencestringRequired

Refund Reference

Example: 586901000
bnplProvidernumber · enumRequired

APM Provider

Example: AFFIRM_US
refundedAmountstringRequired

Refund Amount

Example: 150
refundStatusstringRequired

Refund Status

Example: SUCCESSFUL
descriptionstringRequired

Refund description

Example: Initial Refund
refundDatestringRequired

Refund date

Example: 2024-07-01T06:10:18Z
bnplRefundIdstringRequired

bnplRefundId

Example: OUOACYVMR79788VS
callbackUrlstringOptional

The asynchronous refund-callback url

post/orders/{orderReference}/refund
POST /orders/{orderReference}/refund HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 179

{
  "refundReference": "12345001223",
  "refundAmount": {
    "amount": 25,
    "currency": "AED"
  },
  "refundDescription": "Customer requested return due to defective product",
  "isActivatedViaOAuth": true
}
{
  "refundReference": "586901000",
  "bnplProvider": "AFFIRM_US",
  "refundedAmount": 150,
  "refundStatus": "SUCCESSFUL",
  "description": "Initial Refund",
  "refundDate": "2024-07-01T06:10:18Z",
  "bnplRefundId": "OUOACYVMR79788VS",
  "callbackUrl": "text"
}

Example Request/Response

{
    "refundReference": "TgEHcPtpN2HSrTMK-0",
    "refundAmount": {
        "amount": 100,
        "currency": "AUD"
    },
    "refundDescription": "Please refund this order"
}

Last updated